
Redmine - Defect #5263

LDAP: Administrator flag is reset on login

2010-04-07 17:59 - Andreas Wolf

Status: Closed Start date: 2010-04-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

When I mark an account from LDAP as administrator and the user logs in again, the administrator flag is reset - so it's not possible to

have administrators login with their LDAP data.

I would expect this flag be to not touched altogether, as it is nothing that comes from LDAP either. Even better would be to specify a

group whose members automatically gain administrator privileges, as is possible with roles in projects.

Associated revisions

Revision 3634 - 2010-04-11 15:54 - Jean-Philippe Lang

Check that admin LDAP user is untouched after authentication (#5263).

History

#1 - 2010-04-11 15:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

I can not reproduce with a fresh trunk checkout. Please read SubmittingBugs.
